Bug 1667278 - Review Request: python3-cups - Python 3 bindings for CUPS API, known as pycups
Summary: Review Request: python3-cups - Python 3 bindings for CUPS API, known as pycups
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: epel7
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-17 23:27 UTC by Robert Scheck
Modified: 2019-02-09 01:43 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-02-09 01:43:21 UTC
mail: fedora-review+


Attachments (Terms of Use)

Description Robert Scheck 2019-01-17 23:27:21 UTC
Spec URL: https://labs.linuxnetz.de/bugzilla/python3-cups.spec
SRPM URL: https://labs.linuxnetz.de/bugzilla/python3-cups-1.9.74-3.el7.src.rpm
Description: This package provides Python 3 bindings for CUPS API, known as pycups. It was written for use with system-config-printer, but can be put to other uses as well.
Fedora Account System Username: robert

Note: This package is only intended for EPEL 7, not for Fedora. The existing python-cups package in Fedora can not be branched for EPEL 7, because a same named source RPM package is part of RHEL. See also https://fedoraproject.org/wiki/User:Bkabrda/EPEL7_Python3 for details. The python3-cups EPEL package is mostly modelled like python-cups in Fedora.

Comment 1 Fabian Affolter 2019-01-22 21:56:41 UTC
This package is based on the spec file for Fedora (https://src.fedoraproject.org/rpms/python-cups/blob/master/f/python-cups.spec), it's pretty much a copy and only minimal changes were introduced.

Package APPROVED

Comment 2 Robert Scheck 2019-01-22 22:04:04 UTC
Thank you very much for the review! SCM requests have been filed already.

Comment 3 Gwyn Ciesla 2019-01-22 22:34:38 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python3-cups

Comment 4 Fedora Update System 2019-01-22 23:16:08 UTC
python3-cups-1.9.74-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-665f980b64

Comment 5 Fedora Update System 2019-01-23 02:37:38 UTC
python3-cups-1.9.74-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-665f980b64

Comment 6 Fedora Update System 2019-02-09 01:43:21 UTC
python3-cups-1.9.74-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.